# $Revision: 1.25 $, $Date: 2002/10/28 18:26:01 $
Summary:	The default startup script for the X Window System
Summary(pl):	Domylny skrypt startowy X Window System
Name:		xinitrc
Version:	3.0.3
Release:	1
License:	Public Domain
Group:		X11/XFree86
Source0:	ftp://ftp.pld.org.pl/software/xinit/%{name}-%{version}.tar.bz2
Requires:	XFree86
Requires:	/bin/sh
Requires:	twm
Requires:	which
Requires:	applnk
Obsoletes:	xscripts
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
The xinitrc package contains the xinitrc file, a script which is used
to configure your X Window System session or to start a window
manager.

The xinitrc package should be installed if you use the X Window
System.

%description -l pl
Pakiet xinitrc zawiera plik xinitrc - skrypt uywany do konfiguracji
sesji X Window System lub do uruchomienia menedera okien.

Pakiet xinitrc powinien by zainstalowany jeli uywasz X Window
System.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{sysconfig/wmstyle,X11/xinit/xinitrc.d},%{_bindir}}

install Xclients Xmodmap xinitrc $RPM_BUILD_ROOT/etc/X11/xinit/
install RunWM $RPM_BUILD_ROOT%{_bindir}/

cat <<EOF > $RPM_BUILD_ROOT/etc/sysconfig/desktop
# PREFERRED can be GNOME, KDE or empty
# when left empty \$DEFAULTWM will be started
PREFERRED=
DEFAULTWM=twm
# Default window manager to use. Should be basename of file from
# /etc/sysconfig/wmstyle/
WMSTYLE=
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir /etc/sysconfig/wmstyle
%config(noreplace) %verify(not md5 size mtime) /etc/X11/xinit/Xmodmap
%config(noreplace) %verify(not md5 size mtime) /etc/sysconfig/desktop
%dir /etc/X11/xinit/xinitrc.d
%attr(755,root,root) %config /etc/X11/xinit/Xclients
%attr(755,root,root) %config /etc/X11/xinit/xinitrc
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xinitrc.spec,v $
Revision 1.25  2002/10/28 18:26:01  kloczek
new version 3.0.3:
- fix /etc/X11/xinit/Xclients script: if found ~/.wm_style include this
  file (thans to robtek <robtek@polbox.com>).

Revision 1.24  2002/09/16 23:03:07  mkochano
- Release 1.
- Version 3.0.2.

Revision 1.23  2002/08/14 07:59:28  krzak
- Requires:       applnk
- release 4

Revision 1.22  2002/02/22 23:30:06  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/01/18 02:15:39  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/11/23 14:51:03  kloczek
- s/Copyright/License/

Revision 1.19  2001/08/30 12:18:50  gotar
- awful %%configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.18  2001/07/23 17:48:34  gotar
- added polish summary.

Revision 1.17  2001/07/14 17:28:12  gotar
- removed redundant rpm macros.

Revision 1.16  2001/07/03 13:00:11  gotar
- added Requires: which,
- added polish description,
- added using %{__*} macros,
- added %verify flags for /etc/X11/xinit/Xmodmap file,
- release 3.

Revision 1.15  2001/02/03 20:07:40  kloczek
- added to Obsoletes MDK xscripts.

Revision 1.14  2000/11/20 23:41:07  mkochano
- Release 2.
- Added note about WMSTYLE to /etc/sysconfig/desktop.

Revision 1.13  2000/10/31 09:28:20  kloczek
- few fosmetics and spec also adapterized.

Revision 1.12  2000/10/30 16:02:04  baggins
- version 3.0.1
- added xkbmap support
- added /etc/X11/xinit/xinitrc.d/ directory

Revision 1.11  2000/10/06 09:31:42  zagrodzki
- fixed case-sensitivity-bug in RunWM
- release 2

Revision 1.10  2000/08/29 14:03:10  baggins
- version 3.0
- rewritten Xclients and RunWN

Revision 1.9  2000/07/25 12:58:01  zagrodzki
- requires: twm

Revision 1.8  2000/07/17 01:44:45  kloczek
- cosmetics.

Revision 1.7  2000/06/24 15:50:59  baggins
- added empty %prep section so builder now can do its job

Revision 1.6  2000/06/24 13:13:01  baggins
- version 2.9.2
- use macros
- cleanup in %install
- removed $BROWSER from Xclients and xinitrc
- added FVWM to known window managers in RunWM
- if user wants MWM then use mem not fvwm
- s/fvwm95/fvwm2/ everywhere
- don't mess user .wm_style
- other clenup in RunWM, Xclients and xinitrc

Revision 1.5  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:25  baggins
- translated kloczkish into english

Revision 1.3  1999/07/12 23:06:28  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat Jun 19 1999 Jan Rkorajski <baggins@pld.org.pl>
  [2.4.1-2]
- cleanup for PLD
- bash -> sh

based on spec from RedHat.
